Dynamic Thema scores

Dynamic Thema rankings.

get

This returns the latest dynamic thema rankings for editions which have dynamic thema scores enabled.

Query parameters
uuidstringOptional

A 10-character alphanumeric UUID.

Example: abcde12345
kindstring · enumOptionalPossible values:
Responses
200

A list of ranked dynamic thema score editions.

application/json

A list of ranked dynamic thema score editions.

kindstring · enumRequiredPossible values:
classesstring[]Required

The card's classes. The possible values are revealed by the option/search endpoint.

Example: ["WARRIOR"]
cost_memorynumber · nullableRequiredDeprecated

The card's memory cost (cost_reserve will be null if this is numeric). Be aware that cards can have both memory and reserve cost set to null (example: Shifting Currents).

Example: 1
cost_reservenumber · min: -1 · nullableRequiredDeprecated

The card's reserve cost (cost_memory will be null if this is numeric). -1 represents a card with "X" cost (example: Lost in Thought). Be aware that cards can have both memory and reserve cost set to null (example: Shifting Currents).

created_atstring · date-timeRequired
durabilitynumber · nullableRequired

The card's durability stat.

Example: 3
effectstring · nullableRequired

The card's effect as a template.

Example: [Class Bonus] [Level 2+] CARDNAME gets +1 [POWER]. *(Apply this effect only if your champion's class matches this card's class and only if your champion is level 2 or higher.)*
effect_rawstring · nullableRequired

The card's effect as plain text. This is null if the card's effect value is null.

Example: [Class Bonus] [Level 2+] Crescent Glaive gets +1 POWER. (Apply this effect only if your champion's class matches this card's class and only if your champion is level 2 or higher.)
elementstringRequired
elementsstring[]Required
flavorstring · nullableRequired

The card's flavor text.

Example: Convalescing waves cascade through the soul, revitalizing the body and mind from the depths.
last_updatestring · date-timeRequired
levelnumber · nullableRequired

The card's level stat.

lifenumber · nullableRequired

The card's life stat.

namestringRequired
powernumber · nullableRequired

The card's power stat.

Example: 1
slugstringRequired
speedboolean · nullableRequired

The card's speed stat. true represents Fast whilst false represents Slow.

subtypesstring[]Required

The card's subtypes. The possible values are revealed by the option/search endpoint.

Example: ["WARRIOR","POLEARM"]
typesstring[]Required

The card's types. The possible values are revealed by the option/search endpoint.

Example: ["REGALIA","WEAPON"]
uuidstringRequired
get
/cards/edition/dynamic-thema-ranks

Dynamic Thema history.

get

This returns up to 1 year worth of dynamic thema score history for a given edition and circulation kind.

Path parameters
edition_uuidstringRequired

A 10-character alphanumeric UUID.

Example: abcde12345
Query parameters
kindstring · enumRequiredPossible values:
fromstring · dateOptional

The start date for the dynamic thema score history. If provided alongside a to date, the range must be no greater than 1 year. If no to date is provided, the to date will be defaulted to 1 year after the specified from date. Defaults to 1 year before the current date if not provided.

Example: 2023-03-30
tostring · dateOptional

The end date for the dynamic thema score history. If provided alongside a from date, the range must be no greater than 1 year. If no from date is provided, the from date will be defaulted to 1 year before the specified to date. Defaults to the current date if not provided.

Example: 2023-03-30
Responses
200

A list of dynamic thema score history for the specified edition and circulation kind.

application/json

A list of dynamic thema score history for the specified edition and circulation kind.

uuidstringRequired

A 10-character alphanumeric UUID.

Example: abcde12345
kindstring · enumRequiredPossible values:
thema_totalnumber · nullableRequired

The sum of a range of edition Thema score values.

thema_charmnumber · nullableRequired

One of the edition's Thema score values.

thema_ferocitynumber · nullableRequired

One of the edition's Thema score values.

thema_gracenumber · nullableRequired

One of the edition's Thema score values.

thema_mystiquenumber · nullableRequired

One of the edition's Thema score values.

thema_valornumber · nullableRequired

One of the edition's Thema score values.

created_atstring · date-timeRequired

When the dataset was created.

Example: 2024-10-11T12:00:00+00:00
ranknumberRequired

The overall rank of the edition's total thema scores on the given created at date in relation to other editions with dynamic thema scores.

Example: 16
rank_changenumberRequired

The change in the edition's overall rank compared to its previous rank in the dataset. A positive number represents a rise in rank, whilst a negative number represents a fall in rank.

Example: -2
changenumberRequired

The percent change in the edition's total thema score compared to its previous total thema score in the dataset. A positive number represents an increase in total thema score, whilst a negative number represents a decrease in total thema score.

Example: 0.13
get
/cards/edition/{edition_uuid}/dynamic-thema

Last updated